(*
 * $Id: automaton-sig.sml,v 1.4 2001/05/28 23:12:53 kuhlmann Exp $
 *
 * Automaton signature
 *
 * Authors: Marco Kuhlmann <mk@picoli.com>
 *
 *)

signature AUTOMATON =
  sig
    type automaton
    val empty    : automaton
    val fromWord : String.string -> automaton
    val addWord  : automaton -> String.string -> automaton
    val accept   : automaton -> String.string -> bool
    val tag      : automaton -> String.string -> int list
    val pp       : automaton -> unit
  end
