(*
 * $Id: orderings.sml,v 1.5 2001/05/29 17:57:57 kuhlmann Exp $
 *
 * Some Standard Orderings
 *
 * Authors: Marco Kuhlmann <mk@picoli.com>
 *
 *)

structure IntOrder : ORD_KEY =
  struct
    type ord_key = Int.int
    val compare = Int.compare
  end

structure CharOrder : ORD_KEY =
  struct
    type ord_key = Char.char
    val compare = Char.compare
  end
