type (''key,'value) table = (''key * 'value) list

exception Error

val empty = nil

fun add'(es,k,v,es') = 
    case es of
	(e as (k',_)) :: er => if k = k' 
			       then (k,v) :: List.revAppend(es',er)
			       else add'(er,k,v,e::es')
      | _                   => (k,v)::es'

fun subtract'(es,k,es') =
    case es of
	(e as (k',_)) :: er => if k = k'
			       then List.revAppend(es',er)
			       else subtract'(er, k, e::es')
      | _                   => es'

fun add (es,k,v) = add'(es,k,v,nil)

fun subtract (es, k) = subtract'(es,k,nil)

fun member ((k',_)::er, k) = if k' = k then true else member(er,k)
  | member _               = false

fun lookup ((k',v)::er, k) = if k'=k then v else lookup(er,k)
  | lookup _               = raise Error

