(*
 * $Id: bag-sig.sml,v 1.1 2001/05/22 22:26:36 kuhlmann Exp $
 *
 * Bag Abstract Data Type
 *
 * Authors: Marco Kuhlmann <mk@picoli.com>
 *
 *)

signature BAG =
  sig
    eqtype 'a bag
    val new : unit -> 'a bag
    val push : 'a bag -> 'a -> unit
    val contents : 'a bag -> 'a list
  end
