(*
 * $Id: bag.sml,v 1.1 2001/05/22 22:26:36 kuhlmann Exp $
 *
 * Bag Abstract Data Type
 *
 * Authors: Marco Kuhlmann <mk@picoli.com>
 *
 *)

structure Bag :> BAG =
  struct
    type 'a bag    = 'a list ref
    fun new ()     = ref nil
    fun push b x   = b := x::(!b)
    fun contents b = (!b)
  end
