(* Sebastian Pado 27.05.01
   Model-theoretic semantic evaluator *)

exception Semantics

val IsQuestion : SentSem -> bool

(* true:  true in the model 
   false: false in the model *)

val EvaluateQuestion : SentSem -> model.model -> bool


val EvaluateAssertion: SentSem -> model.model -> unit


val Evaluate: SentSem -> model.model -> bool