(*
 * $Id: stack-sig.sml,v 1.1 2001/05/22 22:26:36 kuhlmann Exp $
 *
 * Stack Abstract Data Type
 *
 * Authors: Marco Kuhlmann <mk@picoli.com>
 *
 *)

signature Stack =
  sig
    eqtype 'a stack
    val new   : unit -> 'a stack
    val push  : 'a stack -> 'a -> unit
    val pop   : 'a stack -> 'a                    (* Empty *)
    val empty : 'a stack -> bool
  end
