(*
 * $Id: stack.sml,v 1.1 2001/05/22 22:26:36 kuhlmann Exp $
 *
 * Stack Abstract Data Type
 *
 * Authors: Marco Kuhlmann <mk@picoli.com>
 *
 *)

structure Stack :> Stack =
  struct
    type 'a stack = 'a list ref
    fun new ()    = ref nil
    fun push s x  = s := x::(!s)
    fun pop s     = let val r = hd(!s) in s := tl(!s) ; r end
    fun empty s   = null(!s)
  end
