(* Sebastian Pado 25.05.01 *)
    
datatype entry = UNARY of string | BINARY of string * string
    
type set = entry list

val empty = nil
    
fun isEmpty l = if l = nil then true else false
    
fun singleton i = i::nil
    
fun member nil i = false
  | member (q::s) i = if (i = q) then true else (member s i)
    
fun add s i = if (member s i) then s else i::s
    
fun map f nil  = nil
  | map f (i::s) = (f i)::(map f s)
	
fun union s1 nil   = s1
  | union s1 (i::s2) = (union (add s1 i) s2)
    
fun intersection s1 nil     = nil
  | intersection s1 (i::s2) = if (member s1 i) 
				  then (add (intersection s1 s2) i)
			      else (intersection s1 s2)
				  
fun remove nil i    = nil
  | remove (j::s) i = if i=j then s else j::(remove s i)
    
    
val filter = List.filter
	
fun difference s1 nil    = s1
  | difference s1 (i::s) = (difference 
			    (filter 
			     (fn j =>j<>i)
			     s1)
			    s)
    
val foldl = List.foldl
    
fun toList s = s





