load "eval";

load "synsem";

load "Parser";

load "model";

use "parser-example.sml";

val m = model.newModel 100

fun process s =
    eval.Evaluate (hd (synsem.MakeSem (parse s)))

fun inspect m =
    (map (fn prop => (model.fromProp prop, 
		     model.getAllWithProperty m prop) )
     (model.getAllProperties m))